This connector is optimized for AI agents. For the data replication connector, see Amazon Ads .
This is the full reference documentation for the Amazon-Ads agent connector.
Supported entities and actions
The Amazon-Ads connector supports the following entities and actions.
Entity Actions Profiles List , Get , Context Store Search Portfolios List , Get Sponsored Product Campaigns List , Get Sponsored Product Ad Groups List Sponsored Product Keywords List Sponsored Product Product Ads List Sponsored Product Targets List Sponsored Product Negative Keywords List Sponsored Product Negative Targets List Sponsored Brands Campaigns List Sponsored Brands Ad Groups List
Profiles
Profiles List
Returns a list of advertising profiles associated with the authenticated user.
Profiles represent an advertiser's account in a specific marketplace. Advertisers
may have a single profile if they advertise in only one marketplace, or a separate
profile for each marketplace if they advertise regionally or globally.
Python SDK
await amazon_ads . profiles . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "profiles", "action": "list" }'
Parameters
Parameter Name Type Required Description profileTypeFilterstringNo Filter profiles by type. Comma-separated list of profile types. Valid values: seller, vendor, agency
Response Schema Records Field Name Type Description profileIdintegercountryCodestring | nullcurrencyCodestring | nulldailyBudgetnumber | nulltimezonestring | nullaccountInfoobject | any
Profiles Get
Retrieves a single advertising profile by its ID. The profile contains
information about the advertiser's account in a specific marketplace.
Python SDK
await amazon_ads . profiles . get ( profile_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "profiles", "action": "get", "params": { "profileId": 0 } }'
Parameters
Parameter Name Type Required Description profileIdintegerYes The unique identifier of the profile
Response Schema Records Field Name Type Description profileIdintegercountryCodestring | nullcurrencyCodestring | nulldailyBudgetnumber | nulltimezonestring | nullaccountInfoobject | any
Profiles Context Store Search
Search and filter profiles records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await amazon_ads . profiles . context_store_search ( query = { "filter" : { "eq" : { "accountInfo" : { } } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "profiles", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"accountInfo": {}}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description accountInfoobjectcountryCodestringcurrencyCodestringdailyBudgetnumberprofileIdintegertimezonestring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].accountInfoobjectdata[].countryCodestringdata[].currencyCodestringdata[].dailyBudgetnumberdata[].profileIdintegerdata[].timezonestring
Portfolios
Portfolios List
Returns a list of portfolios for the specified profile. Portfolios are used to
group campaigns together for organizational and budget management purposes.
Python SDK
await amazon_ads . portfolios . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "portfolios", "action": "list" }'
Parameters
Parameter Name Type Required Description includeExtendedDataFieldsstringNo Whether to include extended data fields in the response
Response Schema Field Name Type Description next_tokenstring | null
Portfolios Get
Retrieves a single portfolio by its ID using the v2 API.
Python SDK
await amazon_ads . portfolios . get ( portfolio_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "portfolios", "action": "get", "params": { "portfolioId": 0 } }'
Parameters
Parameter Name Type Required Description portfolioIdintegerYes The unique identifier of the portfolio
Response Schema Records Field Name Type Description portfolioIdstring | integernamestring | nullbudgetobject | anyinBudgetboolean | nullstatestring | nullcreationDateinteger | nulllastUpdatedDateinteger | nullservingStatusstring | null
Returns a list of sponsored product campaigns for the specified profile.
Sponsored Products campaigns promote individual product listings on Amazon.
Python SDK
await amazon_ads . sponsored_product_campaigns . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_campaigns", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Retrieves a single sponsored product campaign by its ID using the v2 API.
Python SDK
await amazon_ads . sponsored_product_campaigns . get ( campaign_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_campaigns", "action": "get", "params": { "campaignId": 0 } }'
Parameters
Parameter Name Type Required Description campaignIdintegerYes The unique identifier of the campaign
Response Schema Records Field Name Type Description campaignIdstring | integerportfolioIdstring | integer | anynamestring | nullcampaignTypestring | nulltagsobject | nulltargetingTypestring | nullpremiumBidAdjustmentboolean | nullstatestring | nulldynamicBiddingobject | anybiddingobject | anystartDatestring | nullendDatestring | nulldailyBudgetnumber | nullbudgetobject | anyextendedDataobject | nullmarketplaceBudgetAllocationstring | nulloffAmazonSettingsobject | null
Returns a list of sponsored product ad groups for the specified profile.
Ad groups are used to organize ads and targeting within a campaign.
Python SDK
await amazon_ads . sponsored_product_ad_groups . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_ad_groups", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored product keywords for the specified profile.
Keywords are used in manual targeting campaigns to match shopper search queries.
Python SDK
await amazon_ads . sponsored_product_keywords . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_keywords", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored product ads for the specified profile.
Product ads associate an advertised product with an ad group.
Python SDK
await amazon_ads . sponsored_product_product_ads . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_product_ads", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored product targeting clauses for the specified profile.
Targeting clauses define product or category targeting for ad groups.
Python SDK
await amazon_ads . sponsored_product_targets . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_targets", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored product negative keywords for the specified profile.
Negative keywords prevent ads from showing for specific search terms.
Python SDK
await amazon_ads . sponsored_product_negative_keywords . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_negative_keywords", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored product negative targeting clauses for the specified profile.
Negative targeting clauses exclude specific products or categories from targeting.
Python SDK
await amazon_ads . sponsored_product_negative_targets . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_product_negative_targets", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored brands campaigns for the specified profile.
Sponsored Brands campaigns help drive discovery and sales with creative ad experiences.
Python SDK
await amazon_ads . sponsored_brands_campaigns . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_brands_campaigns", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null
Returns a list of sponsored brands ad groups for the specified profile.
Ad groups organize ads and targeting within a Sponsored Brands campaign.
Python SDK
await amazon_ads . sponsored_brands_ad_groups . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sponsored_brands_ad_groups", "action": "list" }'
Parameters
Parameter Name Type Required Description stateFilterobjectNo stateFilter.includestringNo Comma-separated list of states to include (enabled, paused, archived) maxResultsintegerNo Maximum number of results to return nextTokenstringNo Token for pagination
Response Schema Field Name Type Description next_tokenstring | null